package com.alibaba.druid.sql.dialect.greenplum.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.dialect.greenplum.visitor.GPASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class GPStartTransactionStatement extends SQLStatementImpl implements GPSQLStatement {
   public GPStartTransactionStatement() {
      super(DbType.greenplum);
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor instanceof GPASTVisitor) {
         this.accept0((GPASTVisitor)visitor);
      }

   }

   public void accept0(GPASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
